
$(function () {  

    $("#tOrder tr td").click(function () {
        if ($(this).parent().hasClass("totalTd")) {
            return;
        }        
        else {
            ShowDetail($(this).parent().attr("id"));
        }
    });

    TdRowOverOut("tOrder");      
    SetSpanColor("tOrder");

    $("#btnExportExcel").click(function () {
        if (checkRequired('dSearch', '') == false) {
            return false;
        }

        if (!(($("#sTBeginDate").val() && $("#sTEndDate").val()) ||
            ($("#sCBeginDate").val() && $("#sCEndDate").val()))) {
            SetErrorMsg("提示：必须选择查询时间段（交易日期或完成日期）");
            return false;
        }

        else if (DateDiff($("#sTBeginDate").val(), $("#sTEndDate").val()) > 93) {
            SetErrorMsg("提示：起止时间跨度最多为3个月。如果时间跨度超过3个月，请分多次查询。");
            return false;
        }
        else if (DateDiff($("#sCBeginDate").val(), $("#sCEndDate").val()) > 93) {
            SetErrorMsg("提示：起止时间跨度最多为3个月。如果时间跨度超过3个月，请分多次查询。");
            return false;
        }

        location.href = "/Chart/GetUserDetailPerformanceExcel?sTBeginDate=" + $("#sTBeginDate").val() + "&sTEndDate=" + $("#sTEndDate").val()
            + "&sCBeginDate=" + $("#sCBeginDate").val() + "&sCEndDate=" + $("#sCEndDate").val()
            + "&sPaymentStatus=" + $("#sPaymentStatus").val() 
            + "&sUserId=" + $("#sUserId").val()
            + "&sWorkFlowNo=" + $("#sWorkFlowNo").val();        
    });

});
function checkField() {
    ClearErrorMsg();

    if (checkRequired('dSearch', '') == false) {
        return false;
    }

    if (!(($("#sTBeginDate").val() && $("#sTEndDate").val()) ||
        ($("#sCBeginDate").val() && $("#sCEndDate").val()))) {
        SetErrorMsg("提示：必须选择查询时间段（交易日期或完成日期）");
        return false;
    }
        
    else if (DateDiff($("#sTBeginDate").val(), $("#sTEndDate").val()) > 93) {
        SetErrorMsg("提示：起止时间跨度最多为3个月。如果时间跨度超过3个月，请分多次查询。");
        return false;
    }
    else if (DateDiff($("#sCBeginDate").val(), $("#sCEndDate").val()) > 93) {
        SetErrorMsg("提示：起止时间跨度最多为3个月。如果时间跨度超过3个月，请分多次查询。");
        return false;
    }
    else {
        return true;
    }
}

